ContextRuleSet (Apache Tomcat 9.0.68 API Documentation)

Package org.apache.catalina.startup

## Class ContextRuleSet

- java.lang.Object
- - org.apache.catalina.startup.ContextRuleSet

- All Implemented Interfaces:
    `RuleSet`

      public class ContextRuleSet
      extends java.lang.Object
      implements RuleSet

  RuleSet for processing the contents of a Context definition element.

  Author:
    Craig R. McClanahan

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected boolean` | `create` | Should the context be created.
    `protected java.lang.String` | `prefix` | The matching pattern prefix to use for recognizing our elements.

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ContextRuleSet()` | Construct an instance of this `RuleSet` with the default matching pattern prefix.
    `ContextRuleSet​(java.lang.String prefix)` | Construct an instance of this `RuleSet` with the specified matching pattern prefix.
    `ContextRuleSet​(java.lang.String prefix, boolean create)` | Construct an instance of this `RuleSet` with the specified matching pattern prefix.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `addRuleInstances​(Digester digester)` | Add the set of Rule instances defined in this RuleSet to the specified `Digester` instance, associating them with our namespace URI (if any).

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### prefix

          protected final java.lang.String prefix

      The matching pattern prefix to use for recognizing our elements.

    - #### create

          protected final boolean create

      Should the context be created.

  - ### Constructor Detail

    - #### ContextRuleSet

          public ContextRuleSet()

      Construct an instance of this `RuleSet` with the default matching pattern prefix.

    - #### ContextRuleSet

          public ContextRuleSet​(java.lang.String prefix)

      Construct an instance of this `RuleSet` with the specified matching pattern prefix.
      Parameters:
        `prefix` - Prefix for matching pattern rules (including the trailing slash character)

    - #### ContextRuleSet

          public ContextRuleSet​(java.lang.String prefix,
                                boolean create)

      Construct an instance of this `RuleSet` with the specified matching pattern prefix.
      Parameters:
        `prefix` - Prefix for matching pattern rules (including the trailing slash character)
        `create` - `true` if the main context instance should be created

  - ### Method Detail

    - #### addRuleInstances

          public void addRuleInstances​(Digester digester)

      Add the set of Rule instances defined in this RuleSet to the specified `Digester` instance, associating them with our namespace URI (if any). This method should only be called by a Digester instance.

      Specified by:
        `addRuleInstances` in interface `RuleSet`
      Parameters:
        `digester` - Digester instance to which the new Rule instances should be added.